{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <a href="{% url "todo_list_create" %}">Create a new list</a>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todolist in todolists %}
                            <tr>
                                <td>{{ todolist.name }}</td>
                                <td>
                                    <a href="{% url "todo_list_detail" todolist.id %}"></a>
                                </td>
                                <td>{{ todolist.items.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
